Package: org.grails.plugins.codecs

## [Groovy] Class URLCodec

- org.grails.plugins.codecs.URLCodec

-     class URLCodec
      extends URLCodecFactory

  A codec that encodes and decodes Objects to and from URL encoded strings.

  Authors:
    Marc Palmer
  Since:
    0.5

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class URLCodecFactory` | `URL_CODEC_IDENTIFIER, decoder, encoder`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `URLCodec ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `resolveEncoding()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class URLCodecFactory` | `resolveEncoding`

- - ### Constructor Detail

    - #### URLCodec()

  - ### Method Detail

    - #### protected java.lang.String resolveEncoding()